- name: create directory for jopacc
  file:
    path: "{{ jopacc_directory }}" 
    owner: tomcat
    group: tomcat
    state: directory
    mode: '0777' 

- name: Extract jopacc-ecc-v1.14.3.zip
  unarchive:
      src: jopacc-ecc-v1.14.3.zip
      dest: "{{ jopacc_directory }}" 
      owner: tomcat
      group: tomcat

- name: rename the jopacc-war-v1.14.3.war file to ecc.war
  shell: mv "{{ jopacc_directory }}"/*.war "{{ jopacc_directory }}"/ecc.war 

- name: rename the angular-project-v1.3.2.war file to sec.war
  shell: mv "{{ jopacc_directory }}"/security/*.war "{{ jopacc_directory }}"/security/sec.war 

- name: create directory for ecc inside tomcat
  file:
    path:  /u01/tomcat/wepapps/ecc
    owner: tomcat
    group: tomcat
    state: directory
    mode: '0777'
    
- name: create directory for sec inside tomcat
  file:
    path: /u01/tomcat/wepapps/sec
    owner: tomcat
    group: tomcat
    state: directory
    mode: '0777'

- name: Extract ecc
  unarchive:
      src: /artifacts/ecc_artifacts/ecc.war
      dest: /u01/tomcat/wepapps/ecc
      owner: tomcat
      group: tomcat
      remote_src: yes

- name: Extract sec
  unarchive:
      src: /artifacts/ecc_artifacts/security/sec.war
      dest: /u01/tomcat/wepapps/sec
      owner: tomcat
      group: tomcat
      remote_src: yes

- name: copy context ecc
  template:
    src:  context.xml.ecc
    dest: /u01/tomcat/wepapps/ecc/META-INF/context.xml

- name: copy LoadScan ecc
  template:
    src:  loadscan.txt
    dest: /u01/tomcat/wepapps/ecc/outward/LoadScan.jsp

- name: copy context sec
  template:
    src:  context.xml.sec
    dest: /u01/tomcat/wepapps/sec/META-INF/context.xml

    


